# Dapr 0.3.0
 
We're happy to announce the release of Dapr 0.3.0.
 
This release focused on improvements to our [end-to-end tests infrastructure](https://github.com/dapr/dapr/tree/master/tests), making Service Discovery into pluggable components to support more hosting platforms, adding a few new components, improving CLI error messages and stability, and resolving bugs on and improving the Dotnet SDK.

Visit the [getting started](https://github.com/dapr/docs/tree/master/getting-started) page to get started with Dapr.

## Upgrading to Dapr 0.3.0

To get the latest bits, follow the instructions [here](https://github.com/dapr/cli#installing-dapr-cli) to download the latest and greatest CLI release and binaries.

## Standalone

Once you have the Dapr CLI in your path:

```
dapr uninstall --all
dapr init
```

Wait for the update to finish, and you're good to go!

## Kubernetes

If you previously installed Dapr on your Kubernetes cluster using the Dapr CLI, first download the latest CLI release as outlined above.

Once you have the CLI, run:

```
dapr uninstall --kubernetes
dapr init --kubernetes
```

If installed Dapr previously via Helm, run the following command to upgrade:

```
helm upgrade dapr dapr/dapr --set global.tag=0.3.0
```

*Note: If you installed with a different chart name, use `helm upgrade <your-chart-name>`*

## Dapr Runtime

**Decoupled** Service Discovery from the runtime by making discovery a pluggable component
 
**Added** [RabbitMQ](https://github.com/dapr/docs/blob/master/howto/setup-pub-sub-message-broker/setup-rabbitmq.md) as a Pub/Sub Message Bus
 
**Improved** Error message for unsupported state store for actors

**Improved** Go import statements

**Improved** End-To-End tests infrastructure and helper utils

**Added** End-To-End state management tests

**Added** End-To-End bindings tests


## CLI
 
**Added** Flags to be presented as environment variables
 
**Changed** Name of `send` command to `invoke`
 
**Added** The ability to choose an installation path for Dapr binaries

**Improved** Error message when Docker isn't running
 
## .NET  SDK
 
**Fixed** Unregister timer error

**Added** Serialization of ReminderInfo and Timer

**Added** Ability for actor type to be specified during registration

**Changed** Stylecop.Analyzers to be a private dependency

## Samples

**Fixed** Hello World node sample hanging if a state store isn't enabled

**Improved** Structure for Hello World and Hello World Kubernetes
 
